#
# spec file for package gap-fga
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-fga
Summary:        GAP: Free Group Algorithms
Version:        1.3.1
Release:        lp150.1.2
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://www.icm.tu-bs.de/ag_algebra/software/sievers/FGA/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/FGA-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.4

%description
The FGA package provides methods for computations with finitely
generated subgroups of free groups.

It allows you to (constructively) test membership and conjugacy, and
to compute free generators, the rank, the index, normalizers,
centralizers, and intersections where the groups involved are
finitely generated subgroups of free groups.

In addition, it provides generators and a finite presentation for the
automorphism group of a finitely generated free group and allows to
write any such automorphism as word in these generators.

%prep
%setup -qn fga

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 1.3.1
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.3.0
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split fga (version 1.2.0) off the gap RPM package
